{% extends 'base.html.twig' %}
{% block title %}
    Liste des Produits
{% endblock %}
{% block body %}
    <h1>Liste des produits le {{ date|date("d/m/Y") }}</h1>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th width="120"></th>
        <th>Id</th>
        <th>Libellé</th>
        <th>Quantité</th>
        <th>Prix HT</th>
        <th>Prix TTC</th>
        </thead>
        <tbody>
        {% set totalHT = 0 %}
        {% for produit in listeProduits %}
            <tr id="{{ produit.id }}">
                <td>
                    &nbsp;
                    <a class="btn btn-small" href="#" aria-label="Editer">
                        <i class="glyphicon glyphicon-pencil" aria-hidden="true"></i>
                    </a>
                </td>
                <td>{{ produit.id }}</td>
                <td>{{ produit.libelle }}</td>
                <td>{{ produit.qte }}</td>
                <td>{{ produit.getPrixHT() }}</td>
                <td>{{ produit.getPrixTTC() }}</td>
            </tr>
            {% set totalHT = totalHT + produit.getPrixHT() %}
        {% else %}
            <tr>
                <td>Aucun produit n'a été trouvé.</td>
            </tr>

        {% endfor %}
        </tbody>
    </table>
    <p>Prix total du stock HT : {{ totalHT }} €</p>
{% endblock %}